Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class EpochInetSocketAddress

    java.lang.Object
      rice.pastry.socket.EpochInetSocketAddress

All Implemented Interfaces:
  java.io.Serializable

public class EpochInetSocketAddress
extends java.lang.Object
implements java.io.Serializable

Class which represets a source route to a remote IP address.

Version:
  $Id: EpochInetSocketAddress.java,v 1.2 2005/03/11 00:58:13 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected java.net.InetSocketAddress` | `address` DESCRIBE THE FIELD
`protected long` | `epoch` DESCRIBE THE FIELD
`static long` | `EPOCH_UNKNOWN` DESCRIBE THE FIELD

Constructor Summary
`EpochInetSocketAddress(java.net.InetSocketAddress address)` Constructor - don't use this unless you know what you are doing
`EpochInetSocketAddress(java.net.InetSocketAddress address, long epoch)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks equaltiy on source routes
`java.net.InetSocketAddress` | `getAddress()` Method which returns the address of this address
`long` | `getEpoch()` Method which returns the epoch of this address
`int` | `hashCode()` Returns the hashCode of this source route
`java.lang.String` | `toString()` Internal method for computing the toString of an array of InetSocketAddresses

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### address

    protected java.net.InetSocketAddress address

  DESCRIBE THE FIELD

### epoch

    protected long epoch

  DESCRIBE THE FIELD

### EPOCH_UNKNOWN

    public static final long EPOCH_UNKNOWN

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### EpochInetSocketAddress

    public EpochInetSocketAddress(java.net.InetSocketAddress address)

  Constructor - don't use this unless you know what you are doing

Parameters:
  `address` - The remote address

### EpochInetSocketAddress

    public EpochInetSocketAddress(java.net.InetSocketAddress address,
                                  long epoch)

  Constructor

Parameters:
  `address` - The remote address
  `epoch` - The remote epoch

Method Detail

### getAddress

    public java.net.InetSocketAddress getAddress()

  Method which returns the address of this address

  Returns:
    The address

### getEpoch

    public long getEpoch()

  Method which returns the epoch of this address

  Returns:
    The epoch

### hashCode

    public int hashCode()

  Returns the hashCode of this source route

  Returns:
    The hashCode

### equals

    public boolean equals(java.lang.Object o)

  Checks equaltiy on source routes

  Parameters:
    `o` - The source route to compare to
  Returns:
    The equality

### toString

    public java.lang.String toString()

  Internal method for computing the toString of an array of InetSocketAddresses

  Returns:
    THe string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.